Package org.apache.wiki.pages

# Interface Page

All Known Subinterfaces:
  `HaddockPage`

All Known Implementing Classes:
  `EditWikiPage`, `LoginPage`, `SearchResultsPage`, `ViewWikiPage`

public interface Page
Common operations for Page Objects.

See Also:
  - Page Objects

## Method Summary

Modifier and Type
Method
Description
`static String`
`baseUrl()`
returns the base URL on which the tests are run.
`static File`
`download(String url)`
`default String`
`title()`
returns the actual page title.
`default String`
`url()`
returns the actual URL.
`String`
`wikiPageContent()`
returns page's wiki content.
`String`
`wikiTitle()`
returns page's wiki title.
`static PageBuilder`
`withUrl(String url)`
Creates a new `PageBuilder` in order to customize page creation.

## Method Details

### withUrl

static PageBuilder withUrl(String url)
Creates a new `PageBuilder` in order to customize page creation.

Parameters:
  `url` - url to open in the browser.
Returns:
  `PageBuilder` instance to allow page creation customization.

### baseUrl

static String baseUrl()
returns the base URL on which the tests are run.

Returns:
  the base URL on which the tests are run.

### download

static File download(String url) throws IOException, URISyntaxException

Throws:
  `IOException`
  `URISyntaxException`

### title

default String title()
returns the actual page title.

Returns:
  the actual page title.

### url

default String url()
returns the actual URL.

Returns:
  the actual URL.

### wikiTitle

String wikiTitle()
returns page's wiki title.

Returns:
  page's wiki title.

### wikiPageContent

String wikiPageContent()
returns page's wiki content.

Returns:
  page's wiki content.